Subject: Re: bug#54377: [PATCH 0/3] Add 'guix home container'

From: Ludovic Courtès <[email-masked]>
Date: Sat, 19 Mar 2022 11:39:17 +0100

Hi,

Andrew Tropin <[email-masked]> skribis:

> What I meant by previous comment: to match a real state of the things
> it's better to use a shell from /etc/passwd, because it will be launched
> on user login and will read env vars and run all the following
> processes, but to make it more reproducible and independent from system
> state I think we always have to use hardcoded bash and inside the
> container inspect the value of $SHELL set by login shell (hardcoded
> bash) and spawn new shell if $SHELL is NOT empty.

Yeah, there’s a tension between conflicting criteria: independence from
system state, and faithful reproduction of what would happen on the
system.  I feel like checking $SHELL is a middle ground.

I don’t know, we can revisit that as we gain more experience with the
tool I guess.

Thanks,
Ludo’.